<div class="row justify-content-center">
    <div class="col-8">
        <ngb-tabset #t>
            <ngb-tab id="produit-tab" title="Produit">
                <ng-template ngbTabContent>
                    <br>
                    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
                        <h2 id="jhi-produit-heading" jhiTranslate="winpharmApp.produit.home.createOrEditLabel">Create or edit a Produit</h2>
                        <div>
                            <jhi-alert-error></jhi-alert-error>
                            <div class="form-group" [hidden]="!editForm.get('id').value">
                                <label for="id" jhiTranslate="global.field.id">ID</label>
                                <input type="text" class="form-control" id="id" name="id" formControlName="id"
                                    readonly />
                            </div>
                            <div class="form-group">
                                <label class="form-control-label" jhiTranslate="winpharmApp.produit.designation" for="field_designation">Designation</label>
                                <input type="text" class="form-control" name="designation" id="field_designation"
                                        formControlName="designation"/>
                                <div *ngIf="editForm.get('designation').invalid && (editForm.get('designation').dirty || editForm.get('designation').touched)">
                                    <small class="form-text text-danger"
                                            *ngIf="editForm.get('designation').errors.required" jhiTranslate="entity.validation.required">
                                    This field is required.
                                    </small>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-6">
                                    <div class="form-group">
                                        <label class="form-control-label" jhiTranslate="winpharmApp.produit.rayon" for="field_rayon">Rayon</label>
                                        <select class="form-control" id="field_rayon" name="rayon" formControlName="rayon">
                                            <option [ngValue]="null"></option>
                                            <option [ngValue]="rayonOption.id === editForm.get('rayon').value?.id ? editForm.get('rayon').value : rayonOption" *ngFor="let rayonOption of rayons; trackBy: trackRayonById">{{rayonOption.libelle}}</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="form-group">
                                        <label class="form-control-label" jhiTranslate="winpharmApp.produit.categorie" for="field_categorie">Categorie</label>
                                        <select class="form-control" id="field_categorie" name="categorie" formControlName="categorie">
                                            <option [ngValue]="null"></option>
                                            <option [ngValue]="categorieOption.id === editForm.get('categorie').value?.id ? editForm.get('categorie').value : categorieOption" *ngFor="let categorieOption of categories; trackBy: trackCategorieById">{{categorieOption.libelle}}</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-6">
                                    <div class="form-group">
                                        <label class="form-control-label" jhiTranslate="winpharmApp.produit.laboratoire" for="field_laboratoire">Laboratoire</label>
                                        <select class="form-control" id="field_laboratoire" name="laboratoire" formControlName="laboratoire">
                                            <option [ngValue]="null"></option>
                                            <option [ngValue]="laboratoireOption.id === editForm.get('laboratoire').value?.id ? editForm.get('laboratoire').value : laboratoireOption" *ngFor="let laboratoireOption of laboratoires; trackBy: trackLaboratoireById">{{laboratoireOption.raisonSociale}}</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-6">
                                    <div class="form-group">
                                        <label class="form-control-label" jhiTranslate="winpharmApp.produit.grossiste" for="field_grossiste">Grossiste</label>
                                        <select class="form-control" id="field_grossiste" name="grossiste" formControlName="grossiste">
                                            <option [ngValue]="null"></option>
                                            <option [ngValue]="grossisteOption.id === editForm.get('grossiste').value?.id ? editForm.get('grossiste').value : grossisteOption" *ngFor="let grossisteOption of grossistes; trackBy: trackGrossisteById">{{grossisteOption.raisonSociale}}</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="form-inline">
                                <div class="form-group mb-2">
                                    <label class="form-control-label" jhiTranslate="winpharmApp.produit.actif" for="field_actif">Actif</label>
                                </div>
                                <div class="form-group mx-sm-3 mb-2">
                                    <input type="checkbox" class="form-control" name="actif" id="field_actif"
                                        formControlName="actif"/>
                                </div>
                            </div>
                        </div>
                        <!-- <div>
                            <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                                <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                            </button>
                            <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                                <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                            </button>
                        </div> -->
                        <div class="form-group">
                            <button class="btn btn-secondary" (click)="previousState()">
                                <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                            </button>
                            <button class="btn btn-outline-primary" (click)="t.select('stock-tab')">Suivant</button>
                        </div>
                    </form>
                </ng-template>
            </ngb-tab>
            <ngb-tab id="stock-tab" title="Stock">
                <ng-template ngbTabContent>
                    <br>
                    <jhi-stock
                    [stockFromProduit]="produitStock"
                    (stockEvent)="setInnerStock($event)"></jhi-stock>
                </ng-template>
            </ngb-tab>
        </ngb-tabset>
    </div>
</div>
